<template>
  <view class="main">
    <image src="@/static/image/logo.png" mode="scaleToFill" class="logo" />
    <view class="btn">
      <u-button
        v-if="isShow"
        open-type="getPhoneNumber"
        @getphonenumber="getPhoneNumber"
        color="transparent"
      >点击登录</u-button>
    </view>
    <!-- <view class="btn">
      <u-button v-if="isLogoutShow" @click="login" color="transparent">点击登录</u-button>
    </view>-->
  </view>
</template>

<script>
export default {
  data() {
    return {
      code: "",
      openId: "",
      isShow: true,
      isLogoutShow: true
    };
  },
  methods: {
    async getPhoneNumber(e) {
      console.log(e);
      if (e.detail.errMsg == "getPhoneNumber:ok") {
        // 用户允许或去手机号
        let res = await this.$api.login.getTel({ code: e.detail.code });
        if (res.status == 0) {
          uni.setStorageSync("telNum", res.data.telNum);
          uni.redirectTo({
            url: "/pages/realName/realName"
          });
        } else {
          this.$common.msgToast(res.msg);
        }
      } else {
        this.$common.msgToast("请不要拒绝哟~重新点击登录");
      }
    }
    // async login() {
    //   // 获取code
    //   uni.login({
    //     provider: "weixin",
    //     success: async res => {
    //       console.log(res);
    //       this.code = res.code;
    //       let res1 = await this.$api.login.login({ code: res.code });
    //       if (res1.status == 0) {
    //         this.isShow = true;
    //         this.openId = res1.data.accountInfo.openId;
    //         uni.setStorageSync("token", res1.data.token);
    //         uni.redirectTo({
    //           url: "/pages/register/register"
    //         });
    //       } else {
    //         this.$common.msgToast(res1.msg);
    //       }
    //     }
    //   });
    // }
  },
  onLoad() {
    uni.login({
      provider: "weixin",
      success: async res => {
        console.log("res.code", res.code);
        this.code = res.code;
        let res1 = await this.$api.login.login({ code: res.code });
        if (res1.status == 0) {
          if (res1.data.accountInfo.isNew) {
            this.isShow = true;
            this.openId = res1.data.accountInfo.openId;
            uni.setStorageSync("token", res1.data.token);
          } else {
            uni.setStorageSync("token", res1.data.token);
            uni.redirectTo({
              url: "/pages/home/index"
            });
          }
        } else {
          this.$common.msgToast(res1.msg);
        }
      }
    });
  }
};
</script>

<style lang="scss" scoped>
/deep/.u-button {
  background: red;
}
.main {
  background: url("https://cdns.fontree.cn/fonchain-main/prod/image/1381bd18-2f0c-49f1-84f6-d3eceb94f7a7/artwork/6ef00a09-f663-451d-ae0c-0d00cf4068c5.png");
  height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  flex-direction: column;
  .logo {
    width: 237rpx;
    height: 390rpx;
  }
  uni-button:after {
    border: 0px;
  }
  .btn {
    background: transparent;
    width: 200rpx;
    position: fixed;
    bottom: 15%;
    color: #fff;
    left: 50%;
    transform: translateX(-50%);
    font-size: 30rpx;
    transition: all 1s;
    animation: jump 1s ease-in-out infinite alternate;
  }
  @keyframes jump {
    from {
      bottom: 16%;
    }
    to {
      bottom: 15%;
    }
  }
}
</style>